<template>
    <!-- <base-layout page-title="Login Page "> -->
    <multi-page-layout page-title="Login Page ">

      <ion-grid [fixed]="true">
      <ion-col size=6 style="background-color: orange;">
       <ion-row>
       &nbsp;
       </ion-row>
      </ion-col>
      <ion-col size=4 style="background-color: black;">
      <ion-row>

      <ion-card>
         <ion-card-content>
        <ion-item> 
        login
        </ion-item> 
        <ion-item> 
          <ion-label>{{ $t('Enter') }}:</ion-label>
          <ion-input placeholder="Username / Space DAO address" />
        </ion-item>
         </ion-card-content>
      </ion-card>

      </ion-row>
      </ion-col>
      </ion-grid>

      <ion-list>
        <ion-item> 
          <ion-label>{{ $t('Enter') }}:</ion-label>
          <ion-input placeholder="Username / Space DAO address" />
        </ion-item>
              
        <ion-item>
          <ion-label position="fixed">
            {{ $t('Password') }}:
          </ion-label>
          <ion-input
            type="password"
            value="password"
          />
        </ion-item>  
              
        <ion-item>
          <ion-button router-link="/space-overview">
            Login
            <ion-icon
              slot="end"
              :icon="star"
            />
          </ion-button>
        </ion-item>
      </ion-list>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-button router-link="/register-user">Not part of the Space DAO yet? Fix it here.</ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    <!-- </base-layout> -->
    </multi-page-layout>
  </template>
    
  <script lang="ts">
    //   importing components
    import { IonButton, IonCard, IonCardContent, IonList, IonItem, IonInput, IonLabel, IonIcon } from '@ionic/vue';
    import { IonGrid, IonRow, IonCol } from '@ionic/vue';
    import { defineComponent } from 'vue';
    import { star } from 'ionicons/icons';
  
  
    // register components
    export default defineComponent({
      components: {
          IonButton,
          IonCard,
          IonCardContent,
          IonList,
          IonItem,
          IonInput, 
          IonLabel,
          IonIcon,
          IonGrid,
          IonRow,
          IonCol
       },
       setup() {
        return { star }
      },
    });
  </script>
